Name:           cockpit-image-builder
Version:        70
Release:        1.20250630123139899189.pr3342.16.gaae911ff%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-71.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Mon Jun 30 2025 Packit <hello@packit.dev> - 70-1.20250630123139899189.pr3342.16.gaae911ff
- PackageRecommendations: Add distribution to package recommendations (Michal Gold)
- workflows: split out dev checks into jobs (Gianluca Zuccarelli)
- workflows: split out unit tests (Gianluca Zuccarelli)
- Wizard: add EPEL 10 support (Dominik Vagner)
- build(deps-dev): bump stylelint from 16.18.0 to 16.21.0 (dependabot[bot])
- Update Konflux references (red-hat-konflux[bot])
- test: Add templates/:uuid mock handler (regexowl)
- Wizard: Deduplicate `ManageRepositoriesButton` (regexowl)
- playwright: Add check to ensure test is authenticated (Tom Koscielniak)
- Manually revert "Fedora-services: add support for fedora env" (regexowl)
- Wizard: Parse locale codes to readable options (regexowl)
- test: Add mock handler for `repository_parameters` (regexowl)
- build(deps-dev): bump @types/node from 24.0.3 to 24.0.4 (dependabot[bot])
- build(deps-dev): bump @vitejs/plugin-react from 4.4.1 to 4.6.0 (dependabot[bot])
- cockpit/README.md: initial version (Florian Schüller)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
